#### Previous topic

scipy.sparse.spmatrix.sum

#### Next topic

scipy.sparse.spmatrix.tobsr

# scipy.sparse.spmatrix.toarray

`spmatrix.``toarray`(order=None, out=None)

  Return a dense ndarray representation of this matrix.

  Parameters:

  order : {‘C’, ‘F’}, optional

  > Whether to store multi-dimensional data in C (row-major) or Fortran (column-major) order in memory. The default is ‘None’, indicating the NumPy default of C-ordered. Cannot be specified in conjunction with the out argument.

  out : ndarray, 2-dimensional, optional

  > If specified, uses this array as the output buffer instead of allocating a new array to return. The provided array must have the same shape and dtype as the sparse matrix on which you are calling the method. For most sparse types, out is required to be memory contiguous (either C or Fortran ordered).

  Returns:

  arr : ndarray, 2-dimensional

  > An array with the same shape and containing the same data represented by the sparse matrix, with the requested memory order. If out was passed, the same object is returned after being modified in-place to contain the appropriate values.